1

Тема: PunBB 1.3.1

http://punbb.informer.com/forums/post/120019/#p120019

PunBB 1.3.1 is released. Most significant 1.3 to 1.3.1 changes:

  • [li] XSS vulnerability via topic subjects in moderate.php is fixed (reported by PHPLizardo).[/li][li]Markup issues are fixed, language files are reviewed (thanks to PunBB translators).[/li][li] Both outdated and obscure notifications are modified.[/li]

 

Though all known critical bugs of PunBB 1.3 are solved with hotfixes, you can update your forum to 1.3.1.

Захочешь — найдешь время, не захочешь — найдешь причину.

Поделиться

2

Re: PunBB 1.3.1

А это обновление автоматом не встанет?

Поделиться

3

Re: PunBB 1.3.1

Не забываем посмотреть изменения:
http://punbb.informer.com/download/hdif … 1.3.1.html

У каждого свой взгляд на мир.

Сайт coordinator

Поделиться

4 (26.11.2008 23:38 отредактировано Deacon)

Re: PunBB 1.3.1

А обновлять то как? Сорри, если тупой вопрос.

ПыСы. Уже все сделал...

Поделиться

5 (27.11.2008 11:07 отредактировано S1LVER)

Re: PunBB 1.3.1

Обновился    smile) , вроде пока никаких проблем не заметил

Версия PunBB

    * PunBB 1.3

так и должно быть или должно 1.3.1 быть?

Поделиться

6

Re: PunBB 1.3.1

Обновился     , вроде пока никаких проблем не заметил


Версия PunBB

    * PunBB 1.3

так и должно быть или должно 1.3.1 быть?

У меня после обновления:
Версия PunBB
PunBB 1.3.1

Поделиться

7

Re: PunBB 1.3.1

Anton.l пишет:

У меня после обновления:
Версия PunBB
PunBB 1.3.1

Так должно быть. Если нет, значит не запустился скрипт обновления, скорее всего не все новые измененные файлы закачаны куда надо.

У каждого свой взгляд на мир.

Сайт coordinator

Поделиться

8 (28.11.2008 07:12 отредактировано S1LVER)

Re: PunBB 1.3.1

Странно, у меня показывает что обновлений больше нет, а те что установились сообщений об ошибках не выдавали

Вот такие исправления были обнаружены и установлены системой:

PunBB 1.3 hotfix for incorrect topic status in search results.
PunBB 1.3 hotfix for the bug in moderate forum.
PunBB 1.3 hotfix for XSS exploit in moderate forum.

вроде как они

Поделиться

9 (28.11.2008 08:06 отредактировано parpalak)

Re: PunBB 1.3.1

Версия 1.3.1 автоматом не скачивается и не устанавливается, это не хотфикс smile

Давайте я напишу небольшой FAQ "Как обновлять форум версии 1.3".

1. Делаем бекап базы и файлов форума.

2. Архив с версией 1.3.1 нужно вручную скачать, распаковать и загрузить на сервер. При этом желательно очистить папку cache от php-файлов и проследить, чтобы у нее остались права на запись (часто 777), как при чистой установке форума. То же касается папки img/avatars, и, в случае использования pun_repository, папки extensions.

3. При заходе на форум будет выдано предупреждение о том, что база данных устарела и ее нужно обновить. Переходим по ссылке и обновляем базу.

4. Наслаждаемся результатом.

Сайт parpalak

Поделиться

10

Re: PunBB 1.3.1

Обновился smile

Версия PunBB

    * PunBB 1.3.1
    * © Copyright 2008 PunBB
    * Включена автоматическая проверка обновлений и исправлений на punbb.informer.com.

Поделиться

11

Re: PunBB 1.3.1

Ок )  Всем спасибо )
Осталось только разобраться что делать с русской локализацией ))

1) Это только перевод
2) Это только перевод + всякий функционал
3) Сначала установить забурную версию, потом вашими файлами заменить )
4) Сколько у вас всего ответвлений. PunBB 1.3 RC2  и ещё есть???

Это всё так сложно (

Добавлено спустя 7 минут 4 секунды:

Каптча конечно суперская ) Просто верх творения защиты от спама (
я вот не вьеду они чё не могут нормальную каптчу прикрутить?
Зафиг каптча которая распознаётся на 123, любой прогой которую может даже школьник на бейсике написать?

Поделиться

12

Re: PunBB 1.3.1

Diman пишет:

1) Это только перевод

естественно

Diman пишет:

2) Это только перевод + всякий функционал

причем тут функционал и перевод?

Diman пишет:

3) Сначала установить забурную версию, потом вашими файлами заменить )

а что есть еще какие-то версии? движок качать с офсайта, в папку lang кинуть русский перевод и выбрать его в настройках, все

Diman пишет:

4) Сколько у вас всего ответвлений. PunBB 1.3 RC2  и ещё есть???

у нас? smile RC1, RC2 это не ответвления, а релиз кандидаты, т.е. не финальные версии, качать надо 1.3.1

Сайт Wolverine

Поделиться

13

Re: PunBB 1.3.1

Елы
This extension has not been explicitly tested on your PunBB version and might therefore not be compatible with your current setup
Это с ихнего репозитория-то )))
Ну постеснялись бы...

Нафиг их репозиторий, где 4 дополнения, которые и так ставить надо (каптча биби, ище какая-то фигня) нелегче ли было сразу всё в поставку включить сразу (

Другие дополнения также ставяться?

Добавлено спустя 7 минут 21 секунду:

причем тут функционал и перевод?

При том что очень много файлов соападают по названиям с файлами в корневой папке ))) Вот я и подумал что, кидаешь всё в корень и не паришься ))) я - ламер (мне просматривать кучу папок куда надо что-то помещать влом ))))

Тем более я думал что это уже ещё и крутейшая сборка (как тут была, которую выкладывал  hcs. Которая уже включает в себя кучу бажных дополнений с инклудами и и инжектами )))
И думал что щас всё разом как посталю себе на сайт )))



Но ничего ) я как разберусь со всей этой чертовщиной - подробный фаг напишу для таких как я тупых)))))
И помещу вам на форум, чтобы никто вас не парил smile:):):):)

Добавлено спустя 21 минуту 6 секунд:

Елки палки
2009 год на дворе они всё форумы делают, где файлы прикреплять нельзя.
Это чтобы админы помучились с установкой дополнений?

Поделиться

14

Re: PunBB 1.3.1

Diman пишет:

Елы
This extension has not been explicitly tested on your PunBB version and might therefore not be compatible with your current setup
Это с ихнего репозитория-то )))
Ну постеснялись бы...

Нет особого смысла обновлять файлы расширений на каждый минорный релиз. Не мазохисты же форум пишут.

Diman пишет:

Нафиг их репозиторий, где 4 дополнения, которые и так ставить надо (каптча биби, ище какая-то фигня) нелегче ли было сразу всё в поставку включить сразу (

1. Там только официальные, и их пока четыре, а в планах десятки.
2. Суть PunBB именно в том, что в нём нет ничего лишнего. И ставишь только то, что лично тебе нужно.

Diman пишет:

Другие дополнения также ставяться?

Ставиться всё, что угодно. Нужно только залить в папку /extensions

Diman пишет:

Елки палки
2009 год на дворе они всё форумы делают, где файлы прикреплять нельзя.
Это чтобы админы помучились с установкой дополнений?

Это чтобы админы, которым не нужно, не мучались с отключением лишнего функционала. На всё есть/будут расширения, см. выше.

Сайт putnik

Поделиться

15

Re: PunBB 1.3.1

ок )))
Вы написали то же что и я, только с хорошей стороны )))

Нет загрузки файлов  -- хорошо )
Нет картинок на форуме - ещё лучше.

Но пока я не нашел плагинов который бы установились в пару кликов под новый 1.3 выпуск )

А делать форум в надежде, что завтра - после завтра, плагин какой-то программер замутит - это не гуд )
Кому нужен форум без файлов, картнок, ?
Не так просто раскрутить сейчас форум. Даже 3к денег на сапу не помогает. Если на форуме ничего делать нельзя юзерам!!!!


Ещё аватары отключить. И Punbb по праву будет  "ничего лишнего"

Добавлено спустя 7 минут 7 секунд:

Но панбб так приятен. Совсем не грузит мой сервак )))

Поделиться

16

Re: PunBB 1.3.1

Diman пишет:

Но панбб так приятен. Совсем не грузит мой сервак )))

Ну, потому и не грузит, что ничего лишнего. cool
А с расширениями пока как уж есть, ибо с момента релиза 1.3 не прошло и месяца.

Относительно загрузки файлов — если никто не напишет, я буду писать в декабре или начале января. roll

Сайт putnik

Поделиться

17

Re: PunBB 1.3.1

о елы,
вижу написание плагинов будет не из лёгких...
что ещё за xml там в папке с плагинами????

  документация-то есть?

Относительно загрузки файлов — если никто не напишет, я буду писать в декабре или начале января.

думаю начинай уже счас писать )
Забили все писать плагины, там пока разберёшься чиканёшься веся ).


   Но альтернатива punbb не нашлась (

Жесть всё жесть. (   Теперь и старые плагины от 1.2 не подходят (

Поделиться

18

Re: PunBB 1.3.1

Diman пишет:

что ещё за xml там в папке с плагинами?

Файл, в котором прописываются действия при установке, удалении и хуки. Собственно, он там единственный обязательный. Использовать ли дополнительные файлы, это уже личное дело каждого.

документация-то есть?

Вряд ли, но она особо и не нужна.

думаю начинай уже счас писать )
Забили все писать плагины, там пока разберёшься чиканёшься веся ).

Когда дойду в плане приоритетов, тогда и начну. Пока пишу другое.

Жесть всё жесть. (   Теперь и старые плагины от 1.2 не подходят (

У 1.2 были патчи. Очень странно, если бы они подошли к принципиально новому движку.

Сайт putnik

Поделиться

19

Re: PunBB 1.3.1

в  хмл  - там пхп код, который выполняется и добавляет свои строки кода в другие файлы?

неподдерживаются   специальные функции для плагинов?
как-то :
функция функ (действие, результат работы плагина);

Поделиться

20

Re: PunBB 1.3.1

Diman пишет:

я вот не вьеду они чё не могут нормальную каптчу прикрутить?

Прежде чем делать такие заявления, я бы на вашем месте ознакомился бы со спецификацией. Если хотите, напишите свою капчу для pun_antispam, с удовольствием прикрутим в следующей версии. Или дайте ссылку на "нормальную каптчу", распространяемую по лицензии GPL.

Diman пишет:

что ещё за xml там в папке с плагинами????

  документация-то есть?

В явном виде - нет. Есть рекомендации по разработке расширений FluxBB, которые переносится на PunBB практически без изменений. Есть обсуждения различных аспектов разработки расширений на форумах (см., например, про хуки).

Сайт parpalak

Поделиться

21

Re: PunBB 1.3.1

Diman пишет:

ламер (мне просматривать кучу папок куда надо что-то помещать влом ))))

Этим все сказано. Еще одно сообщение подобного содержания и вас будут считать флудером.
Если вас не устраивает 1.3, используйте сборки версии 1.2, в них уже все есть.

У каждого свой взгляд на мир.

Сайт coordinator

Поделиться

22 (07.12.2008 03:33 отредактировано Diman)

Re: PunBB 1.3.1

ок ) вас понял )

Больше так не буду)

Поделиться

23 (14.12.2008 11:04 отредактировано Diman)

Re: PunBB 1.3.1

Разработчики дизайна приятно порадовали конструкцией вида:

max-width: 935px;
min-width: 700px;

Ох... не встать, но работает только в опере (
Пока пользователи не сказали, форум так и был кривой

Добавлено спустя 26 минут 12 секунд:

ой, ёпты от смеха под стол скатился ))))
там ещё и "pm" вбок улетают...

Нимагу умора... У разработчиков такой фигни как Интернет Эксплорер нет что ли )))


извиняюсь ( забыл про нефлудиние

но всёж таки
.brd .postfoot .post-contacts {
    float: left;
    margin-left: -18em;   - отсчитывается от разных обьектов что в опере что в эксплорере /)/)

Поделиться

24

Re: PunBB 1.3.1

) Те кто под оперой - будте бдительны!
Картинки в эксплорере не сужаются под размер вашего форума! img] - не подгонятет размер картинок - итог ясен )

Поделиться